Bug 150547 - RFE: Add a comment block for each of the included repo files.
RFE: Add a comment block for each of the included repo files.
Product: Fedora
Classification: Fedora
Component: fedora-release (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Depends On:
  Show dependency treegraph
Reported: 2005-03-08 00:15 EST by Jef Spaleta
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-26 14:56:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jef Spaleta 2005-03-08 00:15:15 EST
Description of problem:
In an effort to give as much information as possible to users of full
releases, i think it would be wise to have a comment block of text
describe what each included .repo file is. I think this is especially
important for fedora-devel.repo  and marginally important for
updates-testing.repo, which are not enabled by default.

A couple of sentences AND basic instructions on where to file bugs for
each repo.

For example  fedora-devel.repo:
#These packages are untested and still under development. This
#repository is used for updates to test releases
#This repository can see significant daily turn over and can see major
#functionality changes which cause unexpected problems with other
#development packages. Please use these packages if you want to work
#with the fedora Developers by testing these new development packages.
#fedora-test-list mailinglist is available as a discussion forum for
#testing and troubleshooting for development packages.
#Reportable issues should be filed at bugzilla.redhat.com
#Product: Fedora Core
#Version: devel
name=Fedora Core $releasever - Development Tree

And of course something similar for updates-testing.repo.  The idea
being give accurate information as to what the repo is used for, some
rational risk level assessment and where they should go for discussion
and bug reporting. 

-jef"i didnt even say 'eats babies' in my example text"spaleta
Comment 1 Elliot Lee 2005-04-26 14:56:36 EDT
I've stuck this text into the fedora-release module. If people write the actual
text for the other .repo files, I can either commit it or just give them direct
access to commit (if you join the 'cvsfedora' group in the account system,
you'll have commit access).

Note You need to log in before you can comment on or make changes to this bug.